Package de.gebit.integrity.runner

## Enum DefaultTestRunner.Phase

- java.lang.Object
- - java.lang.Enum<DefaultTestRunner.Phase>
  - - de.gebit.integrity.runner.DefaultTestRunner.Phase

- All Implemented Interfaces:
    `Serializable`, `Comparable<DefaultTestRunner.Phase>`
  Enclosing class:
    DefaultTestRunner

      protected static enum DefaultTestRunner.Phase
      extends Enum<DefaultTestRunner.Phase>

  Test execution is splitted in phases.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DRY_RUN` | The dry run is used to build up the `SetList`.
    `TEST_RUN` | The actual test run.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DefaultTestRunner.Phase` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DefaultTestRunner.Phase[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRY_RUN

          public static final DefaultTestRunner.Phase DRY_RUN

      The dry run is used to build up the `SetList`. In this phase, the whole model is walked, but no forks are being started and no test/call fixtures are being executed.

    - #### TEST_RUN

          public static final DefaultTestRunner.Phase TEST_RUN

      The actual test run.

  - ### Method Detail

    - #### values

          public static DefaultTestRunner.Phase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultTestRunner.Phase c : DefaultTestRunner.Phase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultTestRunner.Phase valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null